# Service Mesh manifests

# Assumes operators are already installed:
# $ oc -n openshift-operators get csv
# NAME                                         DISPLAY                          VERSION               REPLACES                           PHASE
# elasticsearch-operator.4.3.23-202005270305   Elasticsearch Operator           4.3.23-202005270305                                      Succeeded
# jaeger-operator.v1.17.2                      Red Hat OpenShift Jaeger         1.17.2                                                   Succeeded
# kiali-operator.v1.12.12                      Kiali Operator                   1.12.12               kiali-operator.v1.12.11            Succeeded
# servicemeshoperator.v1.1.2.2                 Red Hat OpenShift Service Mesh   1.1.2+2               servicemeshoperator.v1.1.2         Succeeded

---
apiVersion: project.openshift.io/v1
kind: Project
metadata:
  name: istio-system

---
apiVersion: maistra.io/v1
kind: ServiceMeshControlPlane
metadata:
  name: default-service-mesh
  namespace: istio-system
spec:
  istio:
    gateways:
      istio-egressgateway:
        enabled: false
      istio-ingressgateway:
        ior_enabled: true
    global:
      controlPlaneSecurityEnabled: true
      disablePolicyChecks: false
      mtls:
        enabled: true
      outboundTrafficPolicy:
        mode: REGISTRY_ONLY
      proxy:
        accessLogEncoding: TEXT
        accessLogFile: /dev/stdout
        dnsRefreshRate: 60s
        logLevel: info
        protocolDetectionTimeout: 0s
        resources:
          limits:
            cpu: 500m
            memory: 128Mi
          requests:
            cpu: 100m
            memory: 128Mi
    grafana:
      enabled: true
    kiali:
      dashboard:
        viewOnlyMode: true
      enabled: true
    mixer:
      policy:
        enabled: true
      telemetry:
        resources:
          limits:
            cpu: 500m
            memory: 4G
          requests:
            cpu: 100m
            memory: 1G
    pilot:
      enableProtocolSniffingForInbound: false
      enableProtocolSniffingForOutbound: false
      traceSampling: 100
    tracing:
      enabled: true
      jaeger:
        template: all-in-one
